Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.servlet.upload
Class FilePart

    java.lang.Object
      com.ejie.r01f.servlet.upload.Part
          com.ejie.r01f.servlet.upload.FilePart

public class FilePart
extends Part

Parte tipo parametro de un multi-part enviado por un navegador

Method Summary
`java.lang.String` | `getContentType()` Devuelve el tipo mime
`java.lang.String` | `getFileName()` Devuelve el nombre del fichero
`java.lang.String` | `getFilePath()` Devuelve el path del fichero
`java.io.InputStream` | `getInputStream()` Devuelve el inputStream al fichero
`boolean` | `isFile()` Devuelve si es un fichero o no
`void` | `setRenamePolicy(FileRenamePolicy policy)` Establece la política de renombrado de ficheros (para los casos en que se guarden a disco
`long` | `writeTo(java.io.File fileOrDirectory)` Escribe a un fichero a disco
`long` | `writeTo(java.io.OutputStream out)` Escribe el fichero a un outputSteam

Methods inherited from class com.ejie.r01f.servlet.upload.Part
`getName, isParam`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setRenamePolicy

    public void setRenamePolicy(FileRenamePolicy policy)

  Establece la política de renombrado de ficheros (para los casos en que se guarden a disco

### getFileName

    public java.lang.String getFileName()

  Devuelve el nombre del fichero

### getFilePath

    public java.lang.String getFilePath()

  Devuelve el path del fichero

### getContentType

    public java.lang.String getContentType()

  Devuelve el tipo mime

### getInputStream

    public java.io.InputStream getInputStream()

  Devuelve el inputStream al fichero

### isFile

    public boolean isFile()

  Devuelve si es un fichero o no

  Overrides:
    `isFile` in class `Part`

### writeTo

    public long writeTo(java.io.File fileOrDirectory)
                 throws java.io.IOException

  Escribe a un fichero a disco

  Throws:
    `java.io.IOException`

### writeTo

    public long writeTo(java.io.OutputStream out)
                 throws java.io.IOException

  Escribe el fichero a un outputSteam

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD